com.thinkaurelius.titan.core.schema

## Enum SchemaStatus

- java.lang.Object
- - java.lang.Enum<SchemaStatus>
  - - com.thinkaurelius.titan.core.schema.SchemaStatus

- All Implemented Interfaces:
    Serializable, Comparable<SchemaStatus>

      public enum SchemaStatus
      extends Enum<SchemaStatus>

  Designates the status of a `TitanIndex` in a graph.
  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DISABLED` The index is disabled and no longer in use
    `ENABLED` The index is enabled and in use
    `INSTALLED` The index is installed in the system but not yet registered with all instances in the cluster
    `REGISTERED` The index is registered with all instances in the cluster but not (yet) enabled

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SchemaStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SchemaStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INSTALLED

          public static final SchemaStatus INSTALLED

      The index is installed in the system but not yet registered with all instances in the cluster

    - #### REGISTERED

          public static final SchemaStatus REGISTERED

      The index is registered with all instances in the cluster but not (yet) enabled

    - #### ENABLED

          public static final SchemaStatus ENABLED

      The index is enabled and in use

    - #### DISABLED

          public static final SchemaStatus DISABLED

      The index is disabled and no longer in use

  - ### Method Detail

    - #### values

          public static SchemaStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SchemaStatus c : SchemaStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SchemaStatus valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2012–2014. All rights reserved.